/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.collections.graph;

import java.util.ArrayList;
import java.util.List;

import org.builtu.collections.adapters.ImmutableListAdapter;
import org.builtu.collections.graph.Node;
import org.builtu.collections.graph.NodeImpl;
import org.junit.Before;



public abstract class NodeImplToNodeAdapterTestBase {
	
	protected List<NodeImpl<Long>> list;
	protected ImmutableListAdapter<Node<Long>, NodeImpl<Long>> adapter;
	protected final NodeImpl<Long> node1 = new NodeImpl<Long>("node1"),
	                               node2 = new NodeImpl<Long>("node2");
	
	@Before public void createList() {
		list = new ArrayList<NodeImpl<Long>>();
		adapter = new ImmutableListAdapter<Node<Long>, NodeImpl<Long>>(list);
	}
	
}
