/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.config.module;

import junit.framework.Assert;

import org.builtu.config.module.ConfigParameterNotFoundError;
import org.junit.Test;



public class TestConfigParameterNotFoundError {

	@Test public void message() {
		final String [] configs = new String [] {
				"${sys:user.home}/.module.xml [optional]",
				"/etc/module.xml [required]",
				"default.xml [classpath]", 
		};
		final ConfigParameterNotFoundError ex = new ConfigParameterNotFoundError(configs, "module.key1.key2");
		final String expectedMessage = "\"module.key1.key2\" not found. Please check these files (first file overrides next): ${sys:user.home}/.module.xml [optional], /etc/module.xml [required], default.xml [classpath] and add <module><key1><key2>YOUR_VALUE_HERE</key2></key1></module>";
		Assert.assertEquals(expectedMessage, ex.getMessage());
	}
}
