/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.config.spring;

import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestSpringConfig {
	
	private ApplicationContext ctx;
	
	@Before public void loadContext() {
		ctx = new ClassPathXmlApplicationContext(new String[]{"TestSpringConfig.xml"});
	}
	
	@Test public void bean1ConfiguredByConstructor() {
		assertValid(ctx.getBean("bean1ConfiguredByConstructor")); 
	}

	private static void assertValid(final Object o) {
		final SimpleBean bean = (SimpleBean) o;
		Assert.assertEquals("value", bean.getName());
	}
}
