package org.builtu.persistence.hibernate;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Blob;
import java.sql.SQLException;

import org.builtu.exceptions.FatalError;
import org.hibernate.Hibernate;


public class HibernateUtil {
	
	public static Blob blobFromArray(final byte [] array) {
		return Hibernate.createBlob(array);
	}
	
	public static byte [] arrayFromBlob(final Blob blob) {
		return toByteArray(blob);
	}
	
	private static byte[] toByteArray(Blob fromImageBlob) {
		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		try {
			return toByteArrayImpl(fromImageBlob, baos);
		} catch (Exception e) {
			throw new FatalError(e);
		}
	}
	
	private static byte[] toByteArrayImpl(
			final Blob fromImageBlob,
			final ByteArrayOutputStream baos
	) throws SQLException, IOException 
	{
		byte buf[] = new byte[4000];
		int dataSize;
		InputStream is = fromImageBlob.getBinaryStream();

		try {
			while ((dataSize = is.read(buf)) != -1) {
				baos.write(buf, 0, dataSize);
			}
		} finally {
			if (is != null) {
				is.close();
			}
		}
		return baos.toByteArray();
	}

}
