/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.services.resources;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import org.builtu.util.commutil.IOUtil;


public class PrefetchedResource implements Resource {
	
	private final byte [] data;
	
	public PrefetchedResource(final URL url) throws IOException {
		final InputStream in = url.openStream();
		try {
			data = IOUtil.readRaw(in);
		} finally {
			in.close();
		}
	}

	@Override public InputStream openStream() {
		return new ByteArrayInputStream(data);
	}

	@Override public long size() {
		return data.length;
	}

}
