/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.util.commutil;

import junit.framework.Assert;

import org.builtu.util.commutil.Util;
import org.junit.Test;




public class TestUtilExtensionFromPath {
	
	@Test public void testNull() {
		Assert.assertEquals(null, Util.extensionFromPath(""));
	}

	@Test public void testEmpty() {
		Assert.assertEquals("", Util.extensionFromPath("."));
	}

	@Test public void testHtml() {
		Assert.assertEquals("html", Util.extensionFromPath(".html"));
	}

	@Test public void testTwoDots() {
		Assert.assertEquals("gz", Util.extensionFromPath(".tar.gz"));
	}

	@Test public void testComplex() {
		Assert.assertEquals("ext", Util.extensionFromPath("/my/path.to/some.file.ext"));
	}
	
}
