/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.util.commutil;

import java.util.HashMap;
import java.util.Map;

import junit.framework.Assert;

import org.builtu.util.commutil.Util;
import org.junit.Test;


public class TestUtilGet1 {
	
	@Test public void test1String() {
		final Map<String, String> map = new HashMap<String, String> ();
		map.put("key", "value");
		Assert.assertEquals("value", Util.get(map, "key"));
		Assert.assertSame(null, Util.get(map, "non-existent"));
	}
	
	@Test public void test1Long() {
		final Map<String, Long> map = new HashMap<String, Long> ();
		map.put("key", 1L);
		Assert.assertSame(1L, (long)Util.get(map, "key"));
		Assert.assertSame(null, Util.get(map, "non-existent"));
	}

	@Test public void test1LongLong() {
		final Map<Long, Long> map = new HashMap<Long, Long> ();
		map.put(1L, 2L);
		Assert.assertSame(2L, (long)Util.get(map, 1L));
		Assert.assertSame(null, Util.get(map, 100L));
	}
	
	@Test public void test2() {
		final Map<String, Map<Long, Double>> map = new HashMap<String, Map<Long, Double>> ();
		final Map<Long, Double> map2 = new HashMap<Long, Double>();
		map.put("key1", map2);
		map2.put(1L, 1.0);
		Assert.assertEquals(1.0, Util.get(map, "key1", 1L));
		Assert.assertSame(null, Util.get(map, "non-existent"));
		Assert.assertSame(null, Util.get(map, "key1", 100L));
	}
	
}
