/**
	This file is part of BUILTU.

    BUILTU is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BUILTU is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser Public License for more details.

    You should have received a copy of the GNU Lesser Public License
    along with BUILTU.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2005-2010 Pasko Boris
 */
package org.builtu.util.commutil;

import junit.framework.Assert;

import org.builtu.util.commutil.Util;
import org.junit.Test;


public class TestUtilMD5 {
	@Test public void testEmpty() {
		Assert.assertEquals("d41d8cd98f00b204e9800998ecf8427e", Util.MD5("", "ASCII"));
	}
	
	@Test public void testAAA() {
		Assert.assertEquals("8880cd8c1fb402585779766f681b868b", Util.MD5("AAA\n", "ASCII"));
	}
	
	@Test public void testIII() {
		Assert.assertEquals("00a382f9911c71b529d999a4e2b62823", Util.MD5("III\n", "ASCII"));
	}
	
	@Test public void testVKSign() {
		Assert.assertEquals("d6ed0d13498312f6b0c6fbe11ce776fd", Util.MD5("1843391_17160901_secret", "ASCII"));
	}
	
	@Test public void testReal() {
		Assert.assertEquals("eeb038e67d9a221a521ed88f72388481", Util.MD5("temporalHaUzE-m.D.5<temporal/>", "ASCII"));
	}
}
